require 'tagstand'
require 'json'

module Tagstand
  # Represents a user
  class User
    class << self
      
      # TODO: document this method
      # TODO: POST body causing error
      def create(email, pwd=nil)
        options = {query: {api_key: Tagstand.api_key}}
        user = {email: email}
        user.merge!(password: pwd) if pwd
        options.merge!(body: "user=#{user.to_json}")
        response = Tagstand.post "/user_create", options
        Hashie::Mash.new(response)
      end
      
      # TODO: document this method
      def key(email, pwd)
        options = {query: {api_key: Tagstand.api_key, email: email, password: pwd}}
        response = Tagstand.get "/user_key", options
        Hashie::Mash.new(response)
      end
      
    end
  end
end